﻿using UnityEngine;
using System.Collections;

public class Inputhandler : MonoBehaviour {

	public Camera mainCamera;

	private GameManager gameManager;

	// Use this for initialization
	void Start () {
		gameManager = GameManager.Instance;

		if (mainCamera == null)
			mainCamera = Camera.main;
	}

	// Update is called once per frame
	void Update () {
		if (Input.GetKeyDown(KeyCode.LeftArrow) || Input.GetKeyDown(KeyCode.A))
			gameManager.ChangeDirection(Direction.LEFT);
		else if (Input.GetKeyDown(KeyCode.RightArrow) || Input.GetKeyDown(KeyCode.D))
			gameManager.ChangeDirection(Direction.RIGHT);
		else if (Input.GetKeyDown(KeyCode.DownArrow) || Input.GetKeyDown (KeyCode.S))
			gameManager.ChangeDirection(Direction.DOWN);
		else if (!Input.GetKey(KeyCode.LeftArrow) && !Input.GetKey(KeyCode.RightArrow) 
		         && !Input.GetKey (KeyCode.A) && !Input.GetKey(KeyCode.D))
			gameManager.ChangeDirection(Direction.DOWN);

		if (Input.GetMouseButtonDown (0))
			gameManager.ChangeCurrentRoot(mainCamera.ScreenToWorldPoint(Input.mousePosition));
		else if (Input.GetKeyDown(KeyCode.Space))
			gameManager.NextRoot();
	}
}
