﻿using UnityEngine;
using System.Collections;

public class UIManager : MonoBehaviour {

	public SpriteRenderer[] heartIcons;
	public GUIText depthLabel;
	public GUIText gameOverLabel;
	public GUIText finalScoreLabel;

	private int numHearts;

	private static UIManager _instance;
	public static UIManager Instance {
		get
		{
			if (!_instance)
			{
				_instance = GameObject.FindObjectOfType<UIManager>();
				if (!_instance)
				{
					GameObject container = new GameObject();
					container.name = "UIManager";
					_instance = container.AddComponent<UIManager>();
				}
			}
			
			return _instance;
		}
	}

	// Use this for initialization
	void Start () {
		numHearts = heartIcons.Length;
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	public void LoseLife() {
		if (numHearts > 0)
		{
			heartIcons[numHearts-1].enabled = false;
			numHearts--;
		}
	}

	public void UpdateDepthLabel(int newDepth) {
		depthLabel.text = "DEPTH: " + newDepth + " FT";
	}

	public void DisplayGameOver(int maxDepth) {
		gameOverLabel.enabled = true;
		finalScoreLabel.enabled = true;
		finalScoreLabel.text = "CONGRATULATIONS!\nYOU REACHED " + maxDepth + " FT";
	}
}
